## colorcode 0.7.2

=== debian/changelog ===
colorcode (0.7.2-1) unstable; urgency=low

  * New upstream release with new features and new translations.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 18 Mar 2011 16:25:29 +0100

colorcode (0.7.1-2) unstable; urgency=low

  * Fix problem with rejected upload to the Debian servers: make a call to
    lrelease in debian/rules so as to make all the .qm files from all the
    .ts translation files. This way shipping modified .qm files is no more
    required, although I have updated the french trans_fr.ts file.
  * Bump up Standards-Version: 3.9.1.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 18 Feb 2011 17:13:25 +0100

colorcode (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 17 Feb 2011 21:06:43 +0100

colorcode (0.6.1-1) unstable; urgency=low

  * New upstream release:
  
    - new french translation that I submitted upstream for inclusion in
    the source tree;
    
    - file colorcode32_xpm is now included in upstream;
  
  * debian/control: remove Build-Depends on imagemagick as the
    colorcode32_xpm is no more converted at build-tyme using 'convert';
  
  * debian/rules: remove call 'rm -f debian/colorcode32.xpm' in the clean
    target for the same reason as above;

  * debian/rules: remove calls in the clean target as make distclean now
    performs well the task, leaving the source tree effectively clean.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 17 Feb 2010 11:46:53 +0100

colorcode (0.6.0-1) unstable; urgency=low

  * New upstream version.
  
  * debian/rules: remove the renaming ColorCode=>colorcode because
    colorcode is now the qmake target binary.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 14 Feb 2010 22:23:09 +0100

colorcode (0.5.5-3) unstable; urgency=low

  * debian/control: remove the 'Build-Conflicts:
    graphicsmagick-imagemagick-compat' directive as the problem was fixed
    in debian version 0.5.5-2.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 08 Feb 2010 23:38:01 +0100

colorcode (0.5.5-2) unstable; urgency=low

  * debian/rules: call convert with '+matte' to ensure conversion of ico
    graphics file into xpm without handling the alpha channel in the ico
    file (some programs do not handle transparency and, in the present
    case, that feature is far from essential). See bug#560232 for details.
  
  * debian/control: bump Standards-Version to 3.8.4.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 08 Feb 2010 21:47:23 +0100

colorcode (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #553622);

  * debian/control: Build-Conflicts on graphicsmagick-imagemagick-compat
    as the 'convert' binary shipped by that package apparently converts
    ico to xpm in a buggy way (see Bug#560232) (thanks Lionel Elie Mamane
    <lionel@mamane.lu>);

  * Initial upload kindly sponsored by Lionel Elie Mamane <lionel@mamane.lu>.
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 10 Dec 2009 10:27:10 +0100
