=== debian/control ===
Source: colorcode
Section: games
Priority: extra
Maintainer: Filippo Rusconi <rusconi-debian@laposte.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libqt4-dev (>=4.4.3)
Standards-Version: 3.9.1
Homepage: http://colorcode.laebisch.com/

Package: colorcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced clone of the MasterMind code-breaking game
 ColorCode is an advanced MasterMind code-breaking game clone. The
 program accepts setting the number of slots (from 2 to 5), the number
 of colors (from 2 to 10) and setting if colors might be repeated in
 the secret code (doubles allowed or not).  The game has 5 built-in
 levels, from level 1 (beginner: 2 slots and 2 colors, with doubles
 allowed) to level 5 (hard: 5 slots and 10 colors, with doubles
 allowed). ColorCode can make guesses in place of the user.
