## colorcode 0.8.5

=== debian/changelog ===
colorcode (0.8.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:47 +0100

colorcode (0.8.5-2) unstable; urgency=medium

  * Modifications by Filippo Rusconi <lopippo@debian.org>  
      Tue, 05 Mar 2019 16:40:15 +0100

  * Fix d/copyright lintian warning.
  * Standards-Version: 4.3.0
  * Remove unused patch file.

  * Upload (Closes: #923116): 
      Thanks to Helmut Grohne <helmut@subdivi.de> for the bug report and
      patch.

  * Modifications by Helmut Grohne <helmut@subdivi.de>  
      Sun, 24 Feb 2019 10:37:41 +0100:

  * Fix FTCBFS: (Closes: #-1)
    + Use QT_SELECT to select qt and avoid running qtchooser directly.
    + Let dh_auto_configure run qmake with appropriate flags.
    + Build-Depends qt5-qmake:native for running lrelease.

  * Modifications by Ondřej Nový <onovy@debian.org>  
      Mon, 01 Oct 2018 10:38:09 +0200:

  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 Mar 2019 16:40:15 +0100

colorcode (0.8.5-1) unstable; urgency=medium

  * New upstream release with the Qt5 port done by the usptream author
    after I have submitted to him that port patch.

  * Removing the Qt5 port patch (qt5-port-by-fr) that I had made.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Oct 2015 19:41:59 +0200

colorcode (0.7.2-3) UNRELEASED; urgency=medium

  * debian/compat set to 9 and updated debian/control accordingly.

  * debian/copyright updated to conform to DEP5 copyright.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 30 Sep 2015 17:33:44 +0200

colorcode (0.7.2-2) unstable; urgency=medium

  * Port to version 5 of the Qt libraries in the form of a patch made by
    Filippo Rusconi <lopippo@debian.org>.

  * debian/control: - change the maintainer data to Filippo Rusconi
                      <lopippo@debian.org>.
                    - Standards-Version: 3.9.6
                    - qtbase5-dev (>= 5.3.2+dfsg-5)

  * debian/rules:   - invoke the qmake program through the qtchooser utility
                      to ensure that Qt5 is used
                    - set up the quilt magick since we now have a patch.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 30 Sep 2015 15:28:11 +0200
