=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: colorcode
 Section: games
-Priority: extra
-Maintainer: Filippo Rusconi <rusconi-debian@laposte.net>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libqt4-dev (>=4.4.3)
-Standards-Version: 3.9.1
+Priority: optional
+Maintainer: Filippo Rusconi <lopippo@debian.org>
+Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
+               qt5-qmake:native,
+               qtbase5-dev (>= 5.3.2+dfsg-5),
+               qttools5-dev-tools (>= 5.3.2+dfsg-5),
+               quilt (>= 0.63)
+Standards-Version: 4.3.0
 Homepage: http://colorcode.laebisch.com/
+Vcs-Browser: https://salsa.debian.org/debian/colorcode
+Vcs-Git: https://salsa.debian.org/debian/colorcode.git
 
 Package: colorcode
 Architecture: any
