=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export QT_SELECT=qt5

PACKAGE=colorcode

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	dh_quilt_unpatch

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean


configure-stamp:
	dh_testdir

	dh_quilt_patch
	
	# Call the lrelease program to compile all translation files
	# (trans_xx.ts) files into their corresponding trans_xx.qm binary
	# files). We do this here, as we might need to ship an updated .ts
	# file (text file) but we do not want to ship a binary .qm file. Note
	# that lrelease is in libqt4-dev and we have to depend on that package
	# anyways. So no overhead.
	
	dh_auto_configure
	
	# Production of .qm file is required before the call to qmake.
	lrelease -compress colorcode.pro
	
	touch configure-stamp
	

build-arch-stamp: configure-stamp
	dh_testdir
	dh_prep -a
		
	$(MAKE)
	
	touch build-arch-stamp
	

.PHONY: build-indep
build-indep:


.PHONY: build-arch
build-arch: build-arch-stamp


.PHONY: build
build: build-indep build-arch


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep:


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: build-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch
