## colorcode 0.8.7

=== debian/changelog ===
colorcode (0.8.7-1) unstable; urgency=low

  * New upstream version with port to Qt6.

  * Fix the Bug#1043876: colorcode: Fails to build source after successful
    build (Closes: #1043876).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 24 Nov 2023 10:06:24 +0100

colorcode (0.8.5-3) unstable; urgency=low

  * Fixes to the dh_clean to be able to build source package right after
    having built the binary package.

  * Updates to d/control.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Aug 2023 13:01:06 +0200
