=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
-               qt5-qmake:native,
-               qtbase5-dev (>= 5.3.2+dfsg-5),
-               qttools5-dev-tools (>= 5.3.2+dfsg-5),
-               quilt (>= 0.63)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 13.3.4),
+ dpkg-dev (>= 1.21.22),
+ cmake,
+ qt5-qmake:native,
+ qtbase5-dev (>= 5.3.2+dfsg-5),
+ qttools5-dev
+Standards-Version: 4.6.2
 Homepage: http://colorcode.laebisch.com/
 Vcs-Browser: https://salsa.debian.org/debian/colorcode
 Vcs-Git: https://salsa.debian.org/debian/colorcode.git
